Page MenuHomePhabricator

entry: cursor wasn't next to the mapped elm.text
Closed, ResolvedPublic

Description

I expected the cusor would be next to the mapped elm.text, but it didn't.
I guess that map was applied to elm.text properly, but cursor didn't know whether map was applied to elm.text or not.
Therfore, the cursor was located wrong

The related edc code is as below:

part { name: "elm.text"; type: TEXTBLOCK;
   scale: 1;
   entry_mode: EDITABLE;
   select_mode: DEFAULT;
   cursor_mode: BEFORE;
   multiline: 1;
   source4: "elm/entry/cursor/default"; // cursorover
   description { state: "default" 0.0;
      fixed: 0 0;
      rel1.offset: 2 2;
      rel2.offset: -3 -3;
      text { style: "entry_style";
         min: 0 1;
         align: 0.0 0.0;
      }
      map {
         on: 1;
         perspective_on: 1;
         perspective: "base_ref";
      }
   }
}

I have attatched similar sample code for reproducing this problem.


soohye.shin assigned this task to jpeg.
soohye.shin added subscribers: sju27, minkyu, oz.

It seems the cursor is another object in the edje smart object, but the map is applied to the internal object (here the textblock object) rather than the edje object (smart obj).
@herdsman @tasn ideas?

stefan_schmidt triaged this task as Normal priority.Feb 10 2017, 7:05 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:58 AM
zmike edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:43 AM
zmike claimed this task.Jan 16 2019, 12:28 PM
zmike edited projects, added efl: layout engine; removed efl: widgets.
zmike added a subscriber: jpeg.